%define upstream_name	 Gnome2-GConf
%define upstream_version 1.047

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module for the gnome2-2.x GConf libraries
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    https://cpan.metacpan.org/modules/by-module/Gnome2/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Gnome2-GConf-1.044-cfg_src.patch

BuildRequires: pkgconfig(gconf-2.0) >= 2.4.0 	 
BuildRequires: perl(Glib) >= 1.070 	 
BuildRequires: perl(Gtk2) 	 
BuildRequires: perl(ExtUtils::Depends)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: pkgconfig(gconf-2.0) >= 2.4.0
BuildRequires: pkgconfig(gconf-2.0) >= 2.4.0
BuildRequires: perl-devel
Requires:   perl-Glib >= 1.070
%description
This module provides perl access to GNOME-2.x GConf2 libraries.

GConf is a configuration data storage mechanism scheduled to
ship with GNOME 2.0. GConf does work without GNOME however; it
can be used with plain GTK+, Xlib, KDE, or even text mode
applications as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 
%patch0 -p0 -b .cfg_src

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# this fails, we need to start some gnome thingy, but i don't know which
# one. skipping test for now.
#make test

%install
%make_install

%files
%doc AUTHOR ChangeLog META.yml MYMETA.yml NEWS README examples
%{_mandir}/*/*
%{perl_vendorarch}/Gnome2*
%{perl_vendorarch}/auto/Gnome2

%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.47.0-4.mga9
+ Revision: 1863240
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 1.47.0-3.mga9
+ Revision: 1838614
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.47.0-2.mga9
+ Revision: 1727673
- Rebuild for perl 5.34

* Thu Feb 25 2021 tv <tv> 1.47.0-1.mga9
+ Revision: 1691395
- update to 1.047

* Sat Oct 03 2020 tv <tv> 1.46.0-1.mga8
+ Revision: 1631948
- restore BRs no thx magpie
- update to 1.046
- kill 15years old conflicts

* Fri Sep 25 2020 tv <tv> 1.45.0-1.mga8
+ Revision: 1630054
- restore BRs - no thx magpie
- update to 1.045

* Fri Jun 19 2020 tv <tv> 1.44.0-28.mga8
+ Revision: 1596594
- rebuild for perl-5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.44.0-27.mga8
+ Revision: 1530208
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.44.0-26.mga8
+ Revision: 1433618
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.44.0-25.mga7
+ Revision: 1292987
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.44.0-24.mga7
+ Revision: 1249398
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.44.0-23.mga7
+ Revision: 1164581
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.44.0-22.mga7
+ Revision: 1150185
- Rebuild for perl ABI changes

* Sun Jul 23 2017 tv <tv> 1.44.0-21.mga7
+ Revision: 1129315
- fix build with perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.44.0-20.mga6
+ Revision: 1027948
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.44.0-19.mga6
+ Revision: 957367
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.44.0-18.mga6
+ Revision: 844877
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 1.44.0-17.mga6
+ Revision: 842333
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.44.0-16.mga5
+ Revision: 751113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.44.0-15.mga5
+ Revision: 684879
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.44.0-14.mga5
+ Revision: 632235
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.44.0-13.mga4
+ Revision: 524794
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.44.0-12.mga4
+ Revision: 431524
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.44.0-11.mga3
+ Revision: 367789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.44.0-10.mga3
+ Revision: 250654
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 1.44.0-9.mga2
+ Revision: 138574
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 1.44.0-8.mga2
+ Revision: 104420
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 1.44.0-7.mga1
+ Revision: 36257
- mageia rebuild
- imported package perl-Gnome2-GConf

